CommonPaper API Docs
API Documentation

Agreement History

View history and audit trail of agreement events and changes


Get Agreement History

GET
https://api.commonpaper.com
/v1/agreements/{id}/history

This endpoint returns the history of events for a specific agreement within Common Paper. Returns who made the changes, when they were made, and a description of the change.

Get Agreement History › path Parameters

id
​string · uuid · required

The UUID of the resource.

Get Agreement History › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get Agreement History › Responses

OK


List Agreement History

GET
https://api.commonpaper.com
/v1/agreement_history

This endpoint returns a list of agreement history events for all agreements in your Common Paper organization.

List Agreement History › query Parameters

page[number]
​integer

Page number to retrieve. Defaults to 1.

Default: 1
page[size]
​integer

Number of records per page. Defaults to 15.

Default: 15
filter[agreement_id_eq]
​string · uuid

Filter history events for a specific agreement by its UUID.

filter[created_at_gteq]
​string · date-time

Filter history events on or after this date (ISO 8601).

filter[created_at_lteq]
​string · date-time

Filter history events on or before this date (ISO 8601).

List Agreement History › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List Agreement History › Responses

OK